@import "../../../../../styles/colors.scss";
@import "../../../../../styles/responsive.scss";
@import "../../../../../styles/fonts.scss";

.contact{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0px 20px;

    @include tablet {
      h2 {
        font-size: 1.8em;
      }
      h1 {
        font-size: 2em;
      }
    }
    
    &__title{
        color: $secondary-color;
        text-align: center;
        margin-top: 50px;
    }
    &__subtitle{
        color: $secondary-color;
        text-transform: uppercase;
        letter-spacing: 2px;
        font-weight: bold;
        text-align: center;
        margin-bottom: 50px;
    }
    &__button{
     
        padding: 0 25px;
        border-radius: 4px;
        min-width: 140px;
        height: 50px;
        font-weight: 600;
        font-size: 12px;
        letter-spacing: 0.15em;
        text-transform: uppercase;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: 0 10px;
        position: relative;
        overflow: hidden;
        border: solid 1px $primary-color;
        cursor: pointer;
        margin-bottom: 50px;
  
        &:after,
        &:before {
           width: 0%;
           height: 0%;
           content: "";
           position: absolute;
           border-radius: 100%;
        }
  
        &:after {
           transition: all 0.5s ease;
           background-color: white;
        }
  
        &:before {
           transition: all 0.5s ease-out;
           background: $primary-color;
        }
  
        span {
           z-index: 1;
           transition: all 0.3s ease-out;
        }
  
        &.hover-animation {
           background: $primary-color;
           color: white;
        }
  
        &:hover {
           &.hover-animation {
              color: $primary-color;
           }
           &:after,
           &:before {
              width: 200px;
              height: 200px;
              border-radius: 4px;
           }
           &:after {
              transition: all 0.7s ease-in;
           }
           
           &:before {
              transition: all 0.5s ease-in;
           }
        }
     }
  }
  

